Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Interface WorklistScrollableResultManager

All Superinterfaces:
  WorklistManager

Deprecated. Use WorklistTaskQuery instead.

    public interface WorklistScrollableResultManager

extends WorklistManager

This interface allows a specified range of results to be returned from Worklist queries. This improves scalability and performance for querying operations. The cursor will hold a specified range of results, and the cursor can be moved backward and forward to fetch the next or prior set of results.

Since:
  8.1.4
See Also:
  `TaskDataCursor`

Method Summary
`TaskInfoCursor` | `getTaskInfoCursor(TaskSelector taskSelector, int resultSize)` Deprecated. Return a cursor with the specified size.
`TaskInfoCursor` | `moveCursorBackward(TaskInfoCursor taskInfoCursor)` Deprecated. Move the cursor backward.
`TaskInfoCursor` | `moveCursorForward(TaskInfoCursor taskInfoCursor)` Deprecated. Move the cursor forward to the next position.
`TaskInfoCursor` | `refreshCursor(TaskInfoCursor taskInfoCursor)` Deprecated. Refresh the data for the tasks in the cursor at the current position.

Methods inherited from interface com.bea.wli.worklist.api.WorklistManager
`abortTask, archiveTasks, assignToUser, assignToUserInGroup, assignToUsersAndGroups, claimTask, claimTask, completeTask, createTask, createTask, createTaskXML, deleteTask, deleteTasks, getContainingGroups, getSelectedTasksNumber, getTaskIds, getTaskInfo, getTaskInfos, getTaskProperties, getTaskPropertiesNames, getTaskProperty, getTaskRequest, getTaskRequestAsXmlObject, getTaskResponse, getTaskResponseAsXmlObject, getUsersInGroup, purgeTasks, removeTaskProperties, resumeTask, returnTask, setTaskCanBeAborted, setTaskCanBeReassigned, setTaskCanBeReturned, setTaskClaimDueBusinessDate, setTaskClaimDueDate, setTaskComment, setTaskCompletionDueBusinessDate, setTaskCompletionDueDate, setTaskOwner, setTaskPriority, setTaskProperties, setTaskProperty, setTaskRequest, setTaskRequestAsXmlObject, setTaskResponse, setTaskResponseAsXmlObject, startTask, stopTask, suspendTask`

Method Detail

### getTaskInfoCursor

    TaskInfoCursor getTaskInfoCursor(TaskSelector taskSelector,
                                     int resultSize)
                                     throws ManagementException,
                                            RemoteException

  Deprecated.
  Return a cursor with the specified size. The max result size is 1000. The cursor is positioned before the first element when created.

  Parameters:
    `taskSelector` - the task selector
    `resultSize` - the size of the cursor
  Returns:
    TaskDataCursor
  Throws:
    `ManagementException` - if the operation failed
    `RemoteException` - if the communication failed

### moveCursorForward

    TaskInfoCursor moveCursorForward(TaskInfoCursor taskInfoCursor)
                                     throws ManagementException,
                                            RemoteException

  Deprecated.
  Move the cursor forward to the next position.

  Parameters:
    `taskInfoCursor` - the cursor
  Returns:
    TaskDataCursor
  Throws:
    `ManagementException`
    `RemoteException`

### moveCursorBackward

    TaskInfoCursor moveCursorBackward(TaskInfoCursor taskInfoCursor)
                                      throws ManagementException,
                                             RemoteException

  Deprecated.
  Move the cursor backward.

  Parameters:
    `taskInfoCursor` - the cursor
  Returns:
    TaskDataCursor
  Throws:
    `ManagementException`
    `RemoteException`

### refreshCursor

    TaskInfoCursor refreshCursor(TaskInfoCursor taskInfoCursor)
                                 throws ManagementException,
                                        RemoteException

  Deprecated.
  Refresh the data for the tasks in the cursor at the current position.

  Parameters:
    `taskInfoCursor` - the cursor
  Returns:
    TaskDataCursor
  Throws:
    `ManagementException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD